Seller Profile
Suspend seller profile
POST
/api/v1/seller/:userId/suspendSuspends a seller's account entirely — blocks product management and hides their shops from buyers. Staff-only.
Requires Authorization
ADMIN, SUPPORT only
Authenticated action
Path parameters
userIdstringrequired | User ID of the seller. |
Body parameters
reasonstringrequired | Shown to the seller in their suspension notification. |
Request
curl --request POST \
--url https://api.swiftgoma.com/api/v1/seller/:userId/suspend \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"reason": "<reason>"
}'200Example response
{
"success": true,
"data": {
"id": "sp_2b3c4d",
"userId": "3f2a1c9e",
"businessName": "Boutique Aline",
"businessDescription": "Vente de produits alimentaires et de boissons en gros et au détail à Goma.",
"logoUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/sellers/aline-logo.jpg",
"bannerUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/sellers/aline-banner.jpg",
"contactPhone": "243812345678",
"contactEmail": "boutique.aline@example.com",
"whatsappNumber": "243812345678",
"address": "12 Avenue du Lac",
"city": "Goma",
"status": "SUSPENDED",
"createdAt": "2026-01-05T08:00:00.000Z"
}
}